<!DOCTYPE html>
<html lang="en">

<head>
  {% load static %}
  <link rel="shortcut icon" href="{% static 'blog/images/buga.jpeg' %}" type="image/jpeg" />
  <link rel="stylesheet" type="text/css" href="{% static 'blog/css/bootstrap.min.css'%}" />
  <link rel="stylesheet" type="text/css" href="{% static 'blog/css/carousel.css'%}" />
  <meta http-equiv="X-UA-Compatible" content="ie=edge" />
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
  <title>{% block title %}The Houseplant Shop {% endblock %}</title>

  <meta charset="utf-8" />
  <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no" />
  <meta name="description" content="" />
  <meta name="author" content="Denis Karandashev" />
  <meta name="generator" content="Jekyll v4.1.1" />

  <!-- Bootstrap core CSS  
    {% load static %}
    <link rel="stylesheet" href="{% static 'css/bootstrap.min.css'%}" type="text/css">
-->

  <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.1/css/bootstrap.min.css"
    integrity="sha384-WskhaSGFgHYWDcbwN70/dfYBj47jz9qbsMId/iRN3ewGhXQFZCSftd1LZCfmhktB" crossorigin="anonymous" />
</head>

<body>
  <header>
    <nav class="navbar navbar-expand-md navbar-dark fixed-top bg-dark">
      <a class="navbar-brand text-warning" href="/main"><strong>The Houseplant Shop</strong></a>
      <div class="collapse navbar-collapse" id="navbarCollapse">
        <ul class="navbar-nav mr-auto">
          <div id="m-booked-small-t3-7337">
            <div class="booked-weather-160x36 w160x36-22"
              style="background-color:#fff5d9; color:#333333; border-radius:4px; -moz-border-radius:4px; border:none">
              <a target="_blank" style="color:#08488D;" href="https://www.booked.net/weather/kursk-17770"
                class="booked-weather-160x36-city">Kursk</a> <a target="_blank" class="booked-weather-160x36-right"
                href="https://www.booked.net/"><img src="//s.bookcdn.com/images/letter/s5.gif" alt="booked.net" /></a>
              <div class="booked-weather-160x36-degree">0&deg;<span>C</span></div>
            </div>
          </div>
          <script type="text/javascript">
            var css_file = document.createElement("link");
            css_file.setAttribute("rel", "stylesheet");
            css_file.setAttribute("type", "text/css");
            css_file.setAttribute("href", 'https://s.bookcdn.com/css/w/bw-160-36.css?v=0.0.1');
            document.getElementsByTagName("head")[0].appendChild(css_file);

            function setWidgetData(data) {
              if (typeof (data) != 'undefined' && data.results.length > 0) {
                for (var i = 0; i < data.results.length; ++i) {
                  var objMainBlock = document.getElementById('m-booked-small-t3-7337');
                  if (objMainBlock !== null) {
                    var copyBlock = document.getElementById('m-bookew-weather-copy-' + data.results[i].widget_type);
                    objMainBlock.innerHTML = data.results[i].html_code;
                    if (copyBlock !== null) objMainBlock.appendChild(copyBlock);
                  }
                }
              } else {
                alert('data=undefined||data.results is empty');
              }
            }
          </script>
          <script type="text/javascript" charset="UTF-8"
            src="https://widgets.booked.net/weather/info?action=get_weather_info&ver=6&cityID=17770&type=13&scode=124&ltid=3539&domid=&anc_id=1857&cmetric=1&wlangID=1&color=fff5d9&wwidth=158&header_color=fff5d9&text_color=333333&link_color=08488D&border_form=3&footer_color=fff5d9&footer_text_color=333333&transparent=0">
          </script>       
          <!-- -->
        </ul>
        <ul class="navbar-nav mr-sm-2">
          <li class="nav-item active my-2 my-sm-0">
            {% if request.user.is_authenticated %}
            <span class="text-warning p-3" href="{% url 'account_logout' %}">Hello, {{ request.user.get_username }}</span>
            <a class="btn btn-warning" href="{% url 'account_logout' %}">Logout</a>
            {% else %}
            <a class="btn btn-warning" href="{% url 'account_login' %}">Login</a>
            {% endif %}
          </li>
        </ul>
      </div>
    </nav>
  </header>

  <div class = "container">
  {% block firstblock %} {% endblock %}
  {% block content %} {% endblock %}
</div>

  <footer class="container text-center my-2 my-sm-3 my-lg-4 p-3">
    <p>
      <strong></strong>&copy; Denis Karandashev &middot; 2020</strong>
      <!--&middot; <a href="#">Privacy</a> &middot;
        <a href="#">Terms</a>-->
    </p>
  </footer>

  <script src="https://code.jquery.com/jquery-3.3.1.slim.min.js"
    integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo" crossorigin="anonymous">
  </script>
  <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js"
    integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1" crossorigin="anonymous">
  </script>
  <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js"
    integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM" crossorigin="anonymous">
  </script>
</body>
</html>